compact1, compact2, compact3
java.util.function

## Interface IntBinaryOperator

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IntBinaryOperator

  Represents an operation upon two `int`-valued operands and producing an `int`-valued result. This is the primitive type specialization of `BinaryOperator` for `int`.

  This is a functional interface whose functional method is `applyAsInt(int, int)`.

  Since:
    1.8
  See Also:
    `BinaryOperator`, `IntUnaryOperator`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `applyAsInt(int left, int right)` Applies this operator to the given operands.

- - ### Method Detail

    - #### applyAsInt

          int applyAsInt(int left,
                         int right)

      Applies this operator to the given operands.
      Parameters:
        `left` - the first operand
        `right` - the second operand
      Returns:
        the operator result

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.